% Diffusion from a semi infinite source

% euqation taken from Crank (1975) 2nd edition, equation 2.14
% d     diffsuion coefficient
% x     space coordinate
% t     time coordinate

clc
clear all
x = (-5: 0.1: 5);
d = 10^(-5);
%m=0;
for t = 10:1e4:1e5
    y = 0.5-(0.5*erf(x/(2*(d*t)^(1/2))));
    plot(x,y)
    axis([-5  5  -.5  1.5]); pause(0.1)
    %title([' time: ', num2str(t),' diffusion coefficient:', num2str(d)]);
    %xlabel('distance x');
    %ylabel('concentration');
    %hold on
    %m=m+1;
    %M(m)=getframe;
end
%movie(M,0);
%movie2avi(M,'b1mov');